Blast2HTMLHandler (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.blast2html.Blast2HTMLHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.blast2html
Class Blast2HTMLHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.biojava.bio.program.blast2html.Blast2HTMLHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

    public class Blast2HTMLHandler

extends DefaultHandler

Takes a SAX event stream and a HTMLRenderer to produce a HTML Blast like program report. Primary author - Colin Hardman (CAT) Other authors - Tim Dilks (CAT) Simon Brocklehurst (CAT) Stuart Johnston (CAT) Lawerence Bower (CAT) Derek Crockford (CAT) Neil Benn (CAT) Copyright 2001 Cambridge Antibody Technology Group plc. All Rights Reserved. This code released to the biojava project, May 2001 under the LGPL license.

Version:
  1.0
Author:
  Cambridge Antibody Technology Group plc, Greg Cox

Constructor Summary
`Blast2HTMLHandler(HTMLRenderer poRenderer)` A content handler for rendering blast like outputs into HTML.

Method Summary
`void` | `characters(char[] charBuffer, int start, int length)` Describe `characters` method here.
`void` | `endElement(String poNameSpace, String poElementName, String poQName)` Called when the end of an element is reached.
`void` | `startElement(String poNameSpace, String poElementName, String poQName, Attributes poAtts)` This is called when an element is entered.

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Blast2HTMLHandler

    public Blast2HTMLHandler(HTMLRenderer poRenderer)

  A content handler for rendering blast like outputs into HTML.

  Parameters:
    `poRenderer` - `HTMLRenderer` - a configured HTMLRenderer.

Method Detail

### startElement

    public void startElement(String poNameSpace,
                             String poElementName,
                             String poQName,
                             Attributes poAtts)
                      throws SAXException

  This is called when an element is entered. That is, the parser has met the first tag of the tag pair.

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `DefaultHandler`
  Parameters:
    `poNameSpace` - `String` - the name space.
    `poElementName` - `String` - the local name of the tag.
    `poQName` - `String` - the fully qualified name with prefix
    `poAtts` - an `Attributes` - the tag attributes.
  Throws:
    `SAXException` - if an error occurs

### endElement

    public void endElement(String poNameSpace,
                           String poElementName,
                           String poQName)

  Called when the end of an element is reached.

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `DefaultHandler`
  Parameters:
    `poNameSpace` - a `String` - the name space.
    `poElementName` - a `String` - the local element name.
    `poQName` - a `String` value - the qualified element name.

### characters

    public void characters(char[] charBuffer,
                           int start,
                           int length)

  Describe `characters` method here.

  Specified by:
    `characters` in interface `ContentHandler`
  Overrides:
    `characters` in class `DefaultHandler`
  Parameters:
    `charBuffer` - - character array containing data.
    `start` - - the start position of relavent chars in passes array
    `length` - - the stop position of relavent chars in passes array

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD